# Uses of Enum
org.eclipse.microprofile.openapi.models.security.SecurityScheme.In

Packages that use SecurityScheme.In
Package
Description
org.eclipse.microprofile.openapi.models.security
A set of model interfaces to represent various security components of an OpenAPI app.

## Uses of SecurityScheme.In in org.eclipse.microprofile.openapi.models.security

Methods in org.eclipse.microprofile.openapi.models.security that return SecurityScheme.In
Modifier and Type
Method
Description
`SecurityScheme.In`
SecurityScheme.`getIn()`
In is a REQUIRED property that indicates the location of the API key.
`static SecurityScheme.In`
SecurityScheme.In.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static SecurityScheme.In[]`
SecurityScheme.In.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.eclipse.microprofile.openapi.models.security with parameters of type SecurityScheme.In
Modifier and Type
Method
Description
`default SecurityScheme`
SecurityScheme.`in(SecurityScheme.In in)`
In is a REQUIRED property that indicates the location of the API key.
`void`
SecurityScheme.`setIn(SecurityScheme.In in)`
In is a REQUIRED property that indicates the location of the API key.